Subject: bug#14149: Bug occuring when emacs is not called 'emacs'

From: JJ Lemire <[email-masked]>
Date: Fri, 5 Apr 2013 14:44:25 -0400

Bug occuring when emacs is not called 'emacs'

When compiling you can call emacs with a prefix like --program-prefix=spl_
but this generates

./spl_emacs

(spl_emacs:31521): LIBDBUSMENU-GTK-CRITICAL **: watch_submenu: assertion
`GTK_IS_MENU_SHELL(menu)' failed

The same binary program called 'emacs' does not generate this error.

Jacques Lemire

Note: calling the real 'emacs' with a link, like my_emacs will also
generate errors.